System.Design 2.0.0.0 System.Web.UI.Design.DesignerRegion

Use the class to help manage templates at design time. A will use an instance of this class with its method to generate HTML markup of the region's content.

Represents an editable content region within the design-time markup for the associated control.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class using the given owner and name.

  A object, or a designer that derives from .
  The name of the region.
- Constructor
  2.0.0.0
  To be added.

  Creates a new instance of the class using the given owner and name and the initial value of the property.

  A object, or a designer that derives from .
  The name of the region.
  true to have the region accept only Web server controls for content; otherwise, false.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the HTML markup for the content of the region.

- Method
  2.0.0.0
  System.Web.UI.Design.ViewRendering `` To be added.

  Returns a object containing the design-time HTML markup for the given control.

  A object.

  The control for which to get the object for the current region.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the region can accept only Web server controls.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the region can be bound to a data source.